- Qt 5.5
- Qt3D Module
- C++ Classes
- KeyboardInput
- Qt 5.5.1 Reference Documentation

# KeyboardInput Class

(Qt3D::Input::KeyboardInput)

Inherits: |

- List of all members, including inherited members

## Public Functions

| KeyboardInput()
bool | isEnabled() const
void | keyEvent(const Q3DKeyEventPtr & event)
QNodeId | keyboardController() const
void | setFocus(bool focus)
void | setInputHandler(InputHandler * handler)
void | updateFromPeer(QNode * peer)

## Protected Functions

void | requestFocus()
void | sceneChangeEvent(const QSceneChangePtr & e)
void | setController(const QNodeId & controller)

## Member Function Documentation

### KeyboardInput::KeyboardInput()

### bool KeyboardInput::isEnabled() const

### void KeyboardInput::keyEvent(const Q3DKeyEventPtr & event)

### QNodeId KeyboardInput::keyboardController() const

### `[protected]` void KeyboardInput::requestFocus()

### `[protected]` void KeyboardInput::sceneChangeEvent(const QSceneChangePtr & e)

### `[protected]` void KeyboardInput::setController(const QNodeId & controller)

### void KeyboardInput::setFocus(bool focus)

### void KeyboardInput::setInputHandler(InputHandler * handler)

### void KeyboardInput::updateFromPeer(QNode * peer)